Package org.kie.internal.task.api.model

## Interface InternalAttachment

- All Superinterfaces:
    `org.kie.api.task.model.Attachment`, `java.io.Externalizable`, `java.io.Serializable`

      public interface InternalAttachment
      extends org.kie.api.task.model.Attachment

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AccessType` | `getAccessType()` |
    `void` | `setAccessType​(AccessType accessType)` |
    `void` | `setAttachedAt​(java.util.Date attachedAt)` |
    `void` | `setAttachedBy​(org.kie.api.task.model.User attachedBy)` |
    `void` | `setAttachmentContentId​(long contentId)` |
    `void` | `setContent​(org.kie.api.task.model.Content content)` |
    `void` | `setContentType​(java.lang.String contentType)` |
    `void` | `setId​(long id)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setSize​(int size)` |

    - ### Methods inherited from interface org.kie.api.task.model.Attachment

      `getAttachedAt, getAttachedBy, getAttachmentContentId, getContentType, getId, getName, getSize`

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Method Detail

    - #### setId

          void setId​(long id)

    - #### setName

          void setName​(java.lang.String name)

    - #### getAccessType

          AccessType getAccessType()

    - #### setAccessType

          void setAccessType​(AccessType accessType)

    - #### setContentType

          void setContentType​(java.lang.String contentType)

    - #### setAttachedAt

          void setAttachedAt​(java.util.Date attachedAt)

    - #### setAttachedBy

          void setAttachedBy​(org.kie.api.task.model.User attachedBy)

    - #### setContent

          void setContent​(org.kie.api.task.model.Content content)

    - #### setSize

          void setSize​(int size)

    - #### setAttachmentContentId

          void setAttachmentContentId​(long contentId)